%define major		207
%define libname 	%mklibname duktape %{major}
%define devname		%mklibname duktape -d

Name:           duktape
Version:        2.7.0
Release:        %mkrel 1
Summary:        Embeddable Javascript engine
License:        MIT
Group:          System/Libraries
Url:            https://duktape.org/
Source0:        https://duktape.org/%{name}-%{version}.tar.xz
Source1:        duktape.pc.in
Patch0:         duktape-build.patch

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package -n %{libname}
Summary:        Embeddable Javascript engine

%description -n %{libname}
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       duktape-devel = %{version}-%{release}
Provides:       libduktape-devel = %{version}-%{release}

%description -n %{devname}
Embeddable Javascript engine.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build -f Makefile.sharedlibrary INSTALL_PREFIX=%{_prefix} LIBDIR=/%{_lib}

%install
%make_install -f Makefile.sharedlibrary INSTALL_PREFIX=%{_prefix} LIBDIR=/%{_lib}

%files -n %{libname}
%license LICENSE.txt
%doc AUTHORS.rst
%{_libdir}/libduktape.so.%{major}{,.*}
%{_libdir}/libduktaped.so.%{major}{,.*}

%files -n %{devname}
%doc examples/ README.rst
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc


%changelog
* Sat Dec 17 2022 wally <wally> 2.7.0-1.mga9
+ Revision: 1924313
- new version 2.7.0
- new lib major 207

* Tue Mar 15 2022 umeabot <umeabot> 2.6.0-2.mga9
+ Revision: 1792931
- Mageia 9 Mass Rebuild

* Tue Nov 17 2020 wally <wally> 2.6.0-1.mga8
+ Revision: 1646905
- new version 2.6.0
- new lib major 206

* Sun May 24 2020 wally <wally> 2.5.0-1.mga8
+ Revision: 1587246
- imported package duktape

